<template>
  <layout-test>
    <catalogue-liste v-if="id == null"></catalogue-liste>

    <section>
      <catalogue-detail declinaisonRender="select" isCarousel="true" isGiftCard="true" isContactUs="true" v-if="id"></catalogue-detail>
    </section>
  </layout-test>
</template>

<script>
// ######## Note aux graphistes : #########
// declinaisonRender correspond au type d'affichage :
// 'tableau' pour afficher toutes les declinaisons possible
// ou 'select'pour faire choisir a l'aide d'inputs le modèle précis

// isCarousel correspond a l'affichage des images du produits :
// 'true' = format carousel sinon 'false' = au format images avec miniatures en dessous
import LayoutTest from "@/layouts/LayoutTest.vue";
import CatalogueListe from "@/components/AppCatalogue/liste.vue";
import CatalogueDetail from "@/components/AppCatalogue/detail.vue";
// ############ IMPORT MODULES ############ -->
export default {
  components: {
    "layout-test": LayoutTest,
    "catalogue-liste": CatalogueListe,
    "catalogue-detail": CatalogueDetail,
  },
  mounted: function () {
    this.id = this.$route.params.id;
  },
  data() {
    return {
      id: null,
    };
  },
};
</script>
